// 表单模块
export default {
  namespaced: true,
  state: {
    submittedData: null,
    submissionCount: 0
  },
  getters: {
    submittedData: state => state.submittedData,
    submissionCount: state => state.submissionCount
  },
  mutations: {
    SUBMIT_DATA(state, data) {
      state.submittedData = data;
      state.submissionCount++;
    }
  },
  actions: {
    submitData({ commit }, data) {
      commit('SUBMIT_DATA', data);
    }
  }
} 